SSTableReader.OpenReason (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable.format

## Enum SSTableReader.OpenReason

- java.lang.Object
- - java.lang.Enum<SSTableReader.OpenReason>
  - - org.apache.cassandra.io.sstable.format.SSTableReader.OpenReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SSTableReader.OpenReason>
  Enclosing class:
    SSTableReader

      public static enum SSTableReader.OpenReason
      extends java.lang.Enum<SSTableReader.OpenReason>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EARLY`
    `METADATA_CHANGE`
    `MOVED_START`
    `NORMAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSTableReader.OpenReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SSTableReader.OpenReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final SSTableReader.OpenReason NORMAL

    - #### EARLY

          public static final SSTableReader.OpenReason EARLY

    - #### METADATA_CHANGE

          public static final SSTableReader.OpenReason METADATA_CHANGE

    - #### MOVED_START

          public static final SSTableReader.OpenReason MOVED_START

  - ### Method Detail

    - #### values

          public static SSTableReader.OpenReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSTableReader.OpenReason c : SSTableReader.OpenReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSTableReader.OpenReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation